Bug 1298511 - Review Request: fvsp - Convert Perl version string into RPM-compatible version string
Review Request: fvsp - Convert Perl version string into RPM-compatible versio...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 05:03 EST by Petr Pisar
Modified: 2016-01-26 13:27 EST (History)
2 users (show)

See Also:
Fixed In Version: fvsp-0.1-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-25 22:19:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2016-01-14 05:03:42 EST
Spec URL: https://ppisar.fedorapeople.org/fvsp/fvsp.spec
SRPM URL: https://ppisar.fedorapeople.org/fvsp/fvsp-0.1-1.fc24.src.rpm
Description:
This is a tool and library for converting Perl version strings into RPM
version strings.

Fedora Account System Username: ppisar
Comment 1 Petr Šabata 2016-01-14 10:00:57 EST
* The License tag should say `LGPLv3+'.

* Missing buildtime dependencies on coreutils and findutils.
  `find' and `rm' are called in the SPEC file.

* The C/C++ packaging guidelines are rather unclear about this but I wouldn't
  run-require gcc in my devel subpackage.  I'm not going to treat this as an
  error, however.

* There's an extra empty line at the end of the SPEC file :)
Comment 2 Petr Pisar 2016-01-14 10:07:16 EST
You are right (I shouldn't try to finish packages before lunch). I fixed all of them except the devel package's run-time dependency on gcc because it included stdbool.h.
Comment 3 Petr Šabata 2016-01-14 10:24:32 EST
Ack, approving.
Comment 4 Gwyn Ciesla 2016-01-15 09:08:52 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/fvsp
Comment 5 Petr Pisar 2016-01-15 09:28:27 EST
Thank you for the review and the repository.
Comment 6 Fedora Update System 2016-01-15 09:33:41 EST
fvsp-0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4bcf7419a3
Comment 7 Fedora Update System 2016-01-15 09:33:48 EST
fvsp-0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2ae343c4d5
Comment 8 Fedora Update System 2016-01-16 14:25:17 EST
fvsp-0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2ae343c4d5
Comment 9 Fedora Update System 2016-01-17 09:24:03 EST
fvsp-0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4bcf7419a3
Comment 10 Fedora Update System 2016-01-25 22:19:57 EST
fvsp-0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-01-26 13:27:38 EST
fvsp-0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.